<?php

namespace App\Enum;

enum AgeRange: string
{
    case YOUNG_CHILD = '4 à 8 ans';
    case CHILD = '8 à 12 ans';
    case TEEN = '12 à 16 ans';
    case YOUNG_ADULT = '16 à 18 ans';
    case ADULT = '18 ans et plus';
    
    public function label(): string
    {
        return match($this) {
            self::YOUNG_CHILD => 'à partir de 4 ans',
            self::CHILD => 'à partir de 8 ans',
            self::TEEN => 'à partir de 12 ans',
            self::YOUNG_ADULT => 'à partir de 16 ans',
            self::ADULT => 'à partir de 18 ans'
        };
    }
    public function shortLabel(): string
    {
        return match($this) {
            self::YOUNG_CHILD => '4+',
            self::CHILD => '8+',
            self::TEEN => '12+',
            self::YOUNG_ADULT => '16+',
            self::ADULT => '18+'
        };
    }
    public function prerequist(): string
    {
        return match($this) {
            self::YOUNG_CHILD => 'S\'exprimer et compter jusqu\'à 6',
            self::CHILD => 'Savoir lire, écrire et compter',
            default => null
        };
    }
}